Package Base Details: bacula

Git Clone URL: https://aur.archlinux.org/bacula.git (read-only)
Submitter: None
Maintainer: MarcinWieczorek
Last Packager: MarcinWieczorek
Votes: 31
Popularity: 0.000045
First Submitted: 2014-04-25 13:59
Last Updated: 2019-01-04 08:54

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

georgnix commented on 2015-03-04 21:29

@lockheed

Download the AUR tarball, extract, download the patch, then
$ patch -p0 < 2015-03-04-PKGBUILD.patch
$ makepkg
Install the relevant packages with pacman.

lockheed commented on 2015-03-04 20:15

@georgnix, I see you wrote a patch that might address my problem.

After installing bacula on server, when I try to run bacula-dir, I get
bacula-dir: error while loading shared libraries: libbaccats-7.0.5.so: cannot open shared object file: No such file or directory

If you patch solves it, then how do I apply it? I have no idea how to do it.

georgnix commented on 2015-03-04 17:35

@AlD Did you change the configure flags since 7.0.4?
Suddenly bacula daemons respect /etc/hosts.allow which I had to find out the hard way
bacula-dir -d 10000 ... also gives every config lexer token ... *YUCK*

Does anybody use tcp wrappers? I don't and would be happy if this would be removed from the build. There are firewalls these days...

georgnix commented on 2015-03-04 16:28

http://www.george-net.de/aur/bacula/2015-03-04-PKGBUILD.patch

# Patch for bacula AUR package.
# Date: 2015-03-04 Georg Altmann <george@george-net.de>
#
# 1) Create working directory on install.
# 2) Install libbaccats.so with the current version in the filename instead of
# 7.0.3
# 3) Make bacula-dir-* backend packages conflict with each other: They install
# the same file/symlink ${pkgdir}/usr/lib/libbaccats-${pkgver}.so

ill commented on 2015-02-08 05:16

@khouli: Remove all of teh bacular-dir-* from the PKGBUILD and install them one-by-one if you need them.

ill commented on 2015-02-08 05:14

@khouli:

Remove those from the PKGBUILD and then install them after.

ill commented on 2015-02-08 04:45

@khouli:

Edit the PKGBUILD to only include bacula-bat, bacula-common, and bacula-dir. If you need db support you can add those after.

lockheed commented on 2015-01-29 10:04

Could you make it compatible with armv6h (Raspberry Pi)? Even if I manually add this arch to PKGBUILD, I get lib install warnings during compilation and meta errors prevent from installing the compiled package.

khouli commented on 2015-01-01 07:17

If I try to install aur/bacula-common I get this:

error: failed to commit transaction (conflicting files)
/usr/lib/libbaccats-7.0.3.so exists in both 'bacula-dir-mariadb' and 'bacula-dir-postgresql'
/usr/lib/libbaccats-7.0.3.so exists in both 'bacula-dir-mariadb' and 'bacula-dir-sqlite3'
/usr/lib/libbaccats-7.0.3.so exists in both 'bacula-dir-postgresql' and 'bacula-dir-sqlite3'
Errors occurred, no packages were upgraded.

No /usr/lib/libbac* exists on my computer and querying pacman shows that I have no bacula components installed. This seems to be an issue with the package itself.

I'm also getting a failing PGP signature for aur/bacula-client.

Suggestions? Thanks.

AlD commented on 2014-12-01 00:22

Updated, thanks.